wayland::server::zwp_input_method_v1_t(3)

NAME
wayland::server::zwp_input_method_v1_t - input method

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

  Public Member Functions

void activate (bool post=true)
activate event
void deactivate (zwp_input_method_context_v1_t const &context, bool post=true)
deactivate event
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t activate_since_version = 1
Minimum protocol version required for the activate function.
static constexpr std::uint32_t deactivate_since_version = 1
Minimum protocol version required for the deactivate function.

Detailed Description

input method

An input method object is responsible for composing text in response to input from hardware or virtual keyboards. There is one input method object per seat. On activate there is a new input method context object created which allows the input method to communicate with the text input.

Definition at line 1047 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  void zwp_input_method_v1_t::activate (bool post = true)

activate event A text input was activated. Creates an input method context object which allows communication with the text input.

Definition at line 4603 of file wayland-server-protocol-unstable.cpp.

  void zwp_input_method_v1_t::deactivate (zwp_input_method_context_v1_t const & context, bool post = true)

deactivate event

Parameters
    context

The text input corresponding to the context argument was deactivated. The input method context should be destroyed after deactivation is handled.

Definition at line 4608 of file wayland-server-protocol-unstable.cpp.

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Member Data Documentation

  std::uint32_t wayland::server::zwp_input_method_v1_t::activate_since_version = 1 [static], [constexpr]

Minimum protocol version required for the activate function.

Definition at line 1082 of file wayland-server-protocol-unstable.hpp.

  std::uint32_t wayland::server::zwp_input_method_v1_t::deactivate_since_version = 1 [static], [constexpr]

Minimum protocol version required for the deactivate function.

Definition at line 1096 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.